%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-manatools
Version:       0.0.4
Release:       1mamba
Summary:       A python framework to build ManaTools application 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/manatools/python-manatools
Source:        https://github.com/manatools/python-manatools.git/%{version}/python-manatools-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(dbus-python)
BuildRequires: python3.7dist(python-gettext)
BuildRequires: python3.7dist(pyyaml)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/python_%{pkgname}-%{version}.dist-info
%{python_sitelib}/python_%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Thu Nov 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.0.4-1mamba
- package created using the webbuild interface
